<?php
/**
 * @Packge     : Foodano
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

    // Block direct access
    if( !defined( 'ABSPATH' ) ){
        exit();
    }

    if( class_exists( 'ReduxFramework' ) ) {
        $foodano404title     = foodano_opt( 'foodano_fof_title' );
        $foodano404subtitle  = foodano_opt( 'foodano_fof_subtitle' );
        $foodano404btntext   = foodano_opt( 'foodano_fof_btn_text' );
    } else {
        $foodano404title     = __( '404', 'foodano' );
        $foodano404subtitle  = __( 'The page you\'ve requested is not available.', 'foodano' );
        $foodano404btntext   = __( 'Return To Home', 'foodano' );
    }


    // get header
    get_header();

    echo '<section class="vs-error-wrapper space-md-top space-bottom">';
        echo '<div class="container">';
            echo '<div class="error-content text-center">';
            if( !empty( $foodano404title ) ){
                echo '<h1 class="error-number">'.esc_html( $foodano404title ).'</h1>';
            }
            if( !empty( $foodano404subtitle ) ){
                echo '<h2 class="error-title h3 fw-semibold text-uppercase text-body mb-5 pb-1">'.esc_html( $foodano404subtitle ).'</h2>';
            }
            echo '<a href="'.esc_url( home_url('/') ).'" class="vs-btn">'.esc_html( $foodano404btntext ).'</a>';
                if( ! empty( foodano_opt( 'foodano_404_image', 'url' ) ) ){
                    echo foodano_img_tag( array(
                        'url'   => esc_url( foodano_opt( 'foodano_404_image', 'url' ) ),
                    ) );
                }
            echo '</div>';
        echo '</div>';
    echo '</section>';

    //footer
    get_footer();